Bug 1660513 - TCanvas quit kills XVnc server.
Summary: TCanvas quit kills XVnc server.
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: root
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mattias Ellert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-18 13:54 UTC by Steve Traylen
Modified: 2019-06-19 07:56 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-19 07:56:35 UTC


Attachments (Terms of Use)
abrtd output of Xvnc crash. (3.11 MB, application/gzip)
2018-12-18 13:54 UTC, Steve Traylen
no flags Details
strace of root when .q is pressed (4.83 KB, text/plain)
2018-12-18 13:55 UTC, Steve Traylen
no flags Details
backtrace of the Xvnc crash. (27.25 KB, text/plain)
2018-12-18 13:55 UTC, Steve Traylen
no flags Details

Description Steve Traylen 2018-12-18 13:54:30 UTC
Created attachment 1515348 [details]
abrtd output of Xvnc crash.

Description of problem:

When a root TCanvas is quit with a .q it allways kills the XVnc server.


Version-Release number of selected component (if applicable):
root-6.14.08-1.el7.x86_64


How reproducible:
Every time.


Steps to Reproduce:
1. Start a tigervnc server and connect to it.
2. run root.
3. root> TCanvas a
4. root> .q


Actual results:
It kills the entire XVnc server.

Expected results:
It should close only the TCanvas

Additional info:

Note this may be and XVnc thing itself  but the strace of root
during the .q phase shows a lot of killing from root.

If using normal over normal ssh X11 forwarding then things are okay.

Comment 1 Steve Traylen 2018-12-18 13:55:09 UTC
Created attachment 1515349 [details]
strace of root when .q is pressed

Comment 2 Steve Traylen 2018-12-18 13:55:35 UTC
Created attachment 1515350 [details]
backtrace of the Xvnc crash.

Comment 3 Steve Traylen 2019-02-25 08:43:28 UTC
Is there any upstream bug for this that can be referenced?

Comment 4 Steve Traylen 2019-06-19 07:56:35 UTC
A workaround is available if backing store is disabled within Xvnc

i.e. 

vncserver -bs

more details (though not much) here - https://sft.its.cern.ch/jira/browse/ROOT-10035


Note You need to log in before you can comment on or make changes to this bug.